Subject: 5.8.0 fails to compile on cygwin
From: Terrence Brannon <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 10 Nov 2009 15:34:49 -0500
List-Id: <cygwin.cygwin.com>

error was:
pl-prims.c: In function `pl_collation_key2_va':
pl-prims.c:3314: error: `__PL_ld' undeclared (first use in this function)
pl-prims.c:3314: error: (Each undeclared identifier is reported only once
pl-prims.c:3314: error: for each function it appears in.)
make[1]: *** [pl-prims.o] Error 1
make[1]: Leaving directory
`/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src'
make: *** [lite] Error 2

dont be concerned that the build directory is not pl-5.8.0 ... I wrote
a script which downloads builds SWI prolog in a directory that is
named the way that Cygwin requires it to be:

compilation transcript (long) follows:

[tbrannon@Ghostdc7600] [~/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src]
./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
--localstatedir=/var --datadir=/usr/share --mandir=/usr/share/man
--infodir=/usr/share/info
checking builddir... src
checking for gcc... gcc
checking for C compiler default output file name... a.exe
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... .exe
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for ranlib... ranlib
checking build system type... i686-pc-cygwin
checking host system type... i686-pc-cygwin
checking for gmake... no
checking for make... make
checking "whether make is GNU-make"... yes
checking "whether mkdir accepts -p"... yes
checking for ar... ar
checking for emacs-etags... no
checking for etags... etags
checking for gawk... gawk
checking for sed... /usr/bin/sed
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for library containing strerror... none required
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for inline... inline
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for working alloca.h... yes
checking for alloca... yes
checking whether byte ordering is bigendian... no
checking whether __attribute__((visibility())) is supported... no
checking Script arguments... does not breakdown arguments
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for dlopen in -ldl... yes
checking for dlopen... yes
checking for dladdr... no
checking whether LDFLAGS need -export-dynamic... yes
checking "whether gcc supports -pthread"... no
checking "whether gcc supports -pthreads"... no
checking for main in -lpthread... yes
checking for sem_init in -lrt... no
checking for sem_init... yes
checking for sema_init in -lthread... no
checking for sema_init... no
checking for pthread_mutexattr_setkind_np... no
checking for pthread_mutexattr_settype... yes
checking for pthread_kill... yes
checking "whether mutex support recursive locking"... yes
checking for pthread_sigmask... yes
checking for pthread_setconcurrency... yes
checking for main in -lm... yes
checking for main in -lncursesw... no
checking for main in -lncurses... yes
checking for main in -lreadline... yes
checking readline/readline.h usability... yes
checking readline/readline.h presence... yes
checking for readline/readline.h... yes
checking readline/history.h usability... yes
checking readline/history.h presence... yes
checking for readline/history.h... yes
checking for rl_completion_matches... yes
checking for rl_insert_close... yes
checking for rl_readline_state... yes
checking for rl_set_prompt... yes
checking for rl_clear_pending_input... yes
checking for rl_done... yes
checking for rl_event_hook... yes
checking for rl_cleanup_after_signal... yes
checking for rl_filename_completion_function... yes
checking for cc -c -o... yes
checking for unistd.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for sys/stat.h... (cached) yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/file.h usability... yes
checking sys/file.h presence... yes
checking for sys/file.h... yes
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking sys/stropts.h usability... no
checking sys/stropts.h presence... no
checking for sys/stropts.h... no
checking wchar.h usability... yes
checking wchar.h presence... yes
checking for wchar.h... yes
checking sys/termios.h usability... yes
checking sys/termios.h presence... yes
checking for sys/termios.h... yes
checking sys/termio.h usability... yes
checking sys/termio.h presence... yes
checking for sys/termio.h... yes
checking bstring.h usability... no
checking bstring.h presence... no
checking for bstring.h... no
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking mach-o/rld.h usability... no
checking mach-o/rld.h presence... no
checking for mach-o/rld.h... no
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking float.h usability... yes
checking float.h presence... yes
checking for float.h... yes
checking floatingpoint.h usability... no
checking floatingpoint.h presence... no
checking for floatingpoint.h... no
checking ieeefp.h usability... yes
checking ieeefp.h presence... yes
checking for ieeefp.h... yes
checking SupportDefs.h usability... no
checking SupportDefs.h presence... no
checking for SupportDefs.h... no
checking for access... yes
checking for fchmod... yes
checking for chmod... yes
checking for dossleep... no
checking for fstat... yes
checking for readlink... yes
checking for getwd... yes
checking for getcwd... yes
checking for getpagesize... yes
checking for getpwnam... yes
checking for getrlimit... yes
checking for gettimeofday... yes
checking for opendir... yes
checking for sysconf... yes
checking for popen... yes
checking for putenv... yes
checking for random... yes
checking for remove... yes
checking for rename... yes
checking for select... yes
checking for fcntl... yes
checking for getrusage... yes
checking for signal... yes
checking for sigset... yes
checking for sigprocmask... yes
checking for sleep... yes
checking for usleep... yes
checking for srand... yes
checking for srandom... yes
checking for stat... yes
checking for memmove... yes
checking for stricmp... no
checking for strlwr... yes
checking for sigaction... yes
checking for sigsetmask... no
checking for siggetmask... no
checking for sigblock... no
checking for rint... yes
checking for aint... no
checking for floor... yes
checking for ceil... yes
checking for isnan... yes
checking for isinf... yes
checking for tcsetattr... yes
checking for cfmakeraw... no
checking for getpid... yes
checking for strerror... yes
checking for tgetent... yes
checking for times... yes
checking for unsetenv... yes
checking for grantpt... yes
checking for nanosleep... yes
checking for waitpid... yes
checking for setlocale... yes
checking for fpgetmask... no
checking for fpresetsticky... no
checking for mtrace... no
checking for localtime_r... yes
checking for mmap... yes
checking for confstr... no
checking for strcasecmp... yes
checking for mbscoll... no
checking for mbscasecoll... no
checking for fpclassify... no
checking for fpclass... no
checking for setenv... yes
checking for posix_openpt... no
checking for wcsxfrm... no
checking for sysctlbyname... no
checking for mbsnrtowcs... no
checking whether mbsnrtowcs is declared... no
checking whether time.h and sys/time.h may both be included... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for pid_t... yes
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for intptr_t... yes
checking "whether unsetenv is void"... no
checking sys/syscall.h usability... no
checking sys/syscall.h presence... no
checking for sys/syscall.h... no
checking for syscall... no
checking whether <sys/syscall.h> has __NR_gettid... no
checking for syscall support for gettid... no
checking "linux gettid _syscall0 macro"... no
checking for clock_gettime in -lrt... no
checking for clock_gettime... yes
checking for pthread support for cpu clocks... no
checking whether <sys/syscall.h> has __NR_clock_gettime... no
checking for syscall support for cpu clocks... no
checking linux 2.6 /proc... cat: /proc/2904/task/2904/stat: No such
file or directory
no
checking for sysconf support for _SC_NPROCESSORS_CONF... yes
checking size of void*... 4
checking size of long... 4
checking size of int... 4
checking size of long long... 8
checking for main in -lgmp... no
checking "variable timezone in tzset"... yes
checking for struct tm.tm_gmtoff... no
checking "Boot filename"... boot32.prc
checking "fcntl based locking"... yes
checking "alignment restrictions on doubles"... as void*
checking "alignment restrictions on int64_t"... as void*
checking "unaligned access"... allowed
checking "type rlim_t"... yes
checking "ru_idrss in struct rusage"... yes
checking "whether assert.h needs stdio.h"... no
configure: checking "for including sys/ioctl.h after sys/termios.h"...
checking "for type uchar"... "need typedef uchar"
checking "whether we need extern int errno"... no
checking "for symbolic links"... yes
checking return type of signal handlers... void
checking "for BSD signal handlers"... "BSD signals"
checking "for SIGPROF profiler support"... no
checking "for union wait"... yes
checking "for tagged lvalues"... yes
checking "for label addresses"... yes
checking "memory model"... yes
checking "for nop"... yes
checking "whether mmap maps regular files"... yes
checking siginfo.h usability... no
checking siginfo.h presence... no
checking for siginfo.h... no
checking "for SA_SIGINFO"... yes
checking "if we can use mmap for stack allocation"... yes
checking "if SA_SIGINFO is usable"... no
	CFLAGS=-Wall -O3 -fno-strict-aliasing
	LDFLAGS=-export-dynamic -O3
	LIBS=-lreadline -lncurses -lm -lpthread -ldl
configure: creating ./config.status
config.status: creating Makefile
config.status: WARNING:  'Makefile.in' seems to ignore the --datarootdir setting
config.status: creating rc/Makefile
config.status: creating libtai/Makefile
config.status: creating pl.1
config.status: creating pl.sh
config.status: creating pl.pc
config.status: creating ../man/Makefile
config.status: creating ../packages/Makefile
config.status: creating ../packages/plld.sh
config.status: creating ../packages/pl.sh
config.status: creating ../packages/configure
config.status: creating config.h
config.status: executing exe commands
****************************************************************
* Could not find libgmp or gmp.h.  GMP enables SWI-Prolog
* support for unbounded integer arithmetic and rational numbers.
*
* See README.gmp for details.
****************************************************************

****************************************************************
* Now type the following to make and install the basic environment
*
*	% make
*	% make install
*
* To complete the environment, goto the packages directory and check
* the README file for further instructions.
****************************************************************

[tbrannon@Ghostdc7600] [~/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src] make
make[1]: Entering directory
`/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src'
****************
Making SWI-Prolog 5.8.0 for i686-cygwin
To be installed in /usr/bin/pl
Home (libraries) in /usr/lib/pl-5.8.0
****************
if [ ! -d ../include ]; then mkdir -p ../include; fi
cp /home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/SWI-Prolog.h
../include/SWI-Prolog.h
cp /home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/SWI-Stream.h
../include/SWI-Stream.h
sed 's/"SWI-Prolog.h"/<SWI-Prolog.h>/'
/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/pl-extend.c
> ../include/stub.c
echo EXPORTS > pl.def
grep '^PL_EXPORT'
/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/SWI-Prolog.h
/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/SWI-Stream.h
| \
		    sed -e 's/.*[ 	*]\(_*PL_[a-zA-Z0-9_]*\).*/\1/' \
			   -e 's/.*[ 	*]\(S[a-zA-Z_]*\).*/\1/' | \
		    grep -v '_t$' | grep -v '^PL_extension$' | \
		    grep -v PL_w32thread_raise | grep -v PL_win_message_proc | \
		    sort -u >> pl.def
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   rc/access.c -o rc/access.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   rc/build.c -o rc/build.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   rc/html.c -o rc/html.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   rc/util.c -o rc/util.o
make[2]: Entering directory
`/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc'
rm -f librc.a
ar cq librc.a html.o access.o build.o util.o
ranlib librc.a
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   rc.c -o rc.o
gcc -O3 -o plrc rc.o -L. -lrc
make[2]: Leaving directory
`/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc'
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/caltime_utc.c -o
libtai/caltime_utc.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/caltime_tai.c -o
libtai/caltime_tai.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/leapsecs_sub.c -o
libtai/leapsecs_sub.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/leapsecs_add.c -o
libtai/leapsecs_add.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/caldate_fmjd.c -o
libtai/caldate_fmjd.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/caldate_mjd.c -o
libtai/caldate_mjd.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/leapsecs_init.c -o
libtai/leapsecs_init.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/leapsecs_read.c -o
libtai/leapsecs_read.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/tai_pack.c -o
libtai/tai_pack.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   libtai/tai_unpack.c -o
libtai/tai_unpack.o
make[2]: Entering directory
`/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/libtai'
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   tai_add.c -o tai_add.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   tai_now.c -o tai_now.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   tai_sub.c -o tai_sub.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_add.c -o taia_add.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_approx.c -o taia_approx.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_fmtfrac.c -o taia_fmtfrac.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_frac.c -o taia_frac.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_half.c -o taia_half.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_less.c -o taia_less.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_now.c -o taia_now.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_pack.c -o taia_pack.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_sub.c -o taia_sub.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_tai.c -o taia_tai.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   taia_unpack.c -o taia_unpack.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   caldate_fmt.c -o caldate_fmt.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   caldate_scan.c -o caldate_scan.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   caldate_norm.c -o caldate_norm.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   caldate_ster.c -o caldate_ster.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   caltime_fmt.c -o caltime_fmt.o
gcc -c -I.. -Wall -O3 -fno-strict-aliasing   caltime_scan.c -o caltime_scan.o
rm -f libtai.a
ar cq libtai.a tai_add.o tai_now.o tai_pack.o tai_sub.o tai_unpack.o
taia_add.o taia_approx.o taia_fmtfrac.o taia_frac.o taia_half.o
taia_less.o taia_now.o taia_pack.o taia_sub.o taia_tai.o taia_unpack.o
caldate_fmt.o caldate_scan.o caldate_fmjd.o caldate_mjd.o
caldate_norm.o caldate_ster.o leapsecs_read.o leapsecs_init.o
leapsecs_add.o leapsecs_sub.o caltime_fmt.o caltime_scan.o
caltime_tai.o caltime_utc.o
ranlib libtai.a
make[2]: Leaving directory
`/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/libtai'
gcc -Wall -O3 -fno-strict-aliasing   -o defatom
/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/defatom.c
./defatom "/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src"
gcc -Wall -O3 -fno-strict-aliasing   -o mkvmi
/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/mkvmi.c
./mkvmi "/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src"
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-atom.c -o pl-atom.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-wam.c -o pl-wam.o
In file included from pl-wam.c:864:
pl-fli.c: In function `PL_action':
pl-fli.c:3974: warning: unused variable `set'
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-stream.c -o pl-stream.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-error.c -o pl-error.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-arith.c -o pl-arith.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-bag.c -o pl-bag.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-comp.c -o pl-comp.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-rc.c -o pl-rc.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-dwim.c -o pl-dwim.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-ext.c -o pl-ext.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-file.c -o pl-file.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-flag.c -o pl-flag.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-fmt.c -o pl-fmt.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-funct.c -o pl-funct.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-gc.c -o pl-gc.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-glob.c -o pl-glob.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-privitf.c -o pl-privitf.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-list.c -o pl-list.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-load.c -o pl-load.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-modul.c -o pl-modul.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-op.c -o pl-op.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-os.c -o pl-os.o
gcc -c -I. -I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src
-I/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src/rc
-Wall -O3 -fno-strict-aliasing   pl-prims.c -o pl-prims.o
pl-prims.c: In function `pl_collation_key2_va':
pl-prims.c:3314: error: `__PL_ld' undeclared (first use in this function)
pl-prims.c:3314: error: (Each undeclared identifier is reported only once
pl-prims.c:3314: error: for each function it appears in.)
make[1]: *** [pl-prims.o] Error 1
make[1]: Leaving directory
`/home/tbrannon/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src/src'
make: *** [lite] Error 2
[tbrannon@Ghostdc7600] [~/prg/cygwin/mkprolog/SWI-Prolog-5.8.0-1-src]

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple